:PROPERTIES:
:ID:       63456626-b34e-46d9-b85e-0f1f5724aa83
:END:
#+title: lazy_evaluation
#+filetags: :haskell:coding:notes:

See this article: [[https://medium.com/background-thread/what-is-lazy-evaluation-programming-word-of-the-day-8a6f4410053f][Lazy eval]]

There are two types of evaluation: strict and lazy
